Skip to main content
Server path: /datadog-monitoring | Type: Application | PCID required: Yes

Tools


datadog_monitoring_check_can_delete_monitor

Check if a monitor can be deleted Parameters:
ParameterTypeRequiredDefaultDescription
monitor_idsinteger[]YesThe IDs of the monitor to check.

datadog_monitoring_create_incident

Create an incident Parameters:
ParameterTypeRequiredDefaultDescription
dataobjectYesIncident data for a create request.

datadog_monitoring_create_monitor

Create a monitor Parameters:
ParameterTypeRequiredDefaultDescription
assetsobject[]NoThe list of monitor assets tied to a monitor, which represents key links for users to take action on monitor alerts (for example, runbooks).
createdstringNoTimestamp of the monitor creation.
creatorobjectNoObject describing the creator of the shared element.
deletedstringNoWhether or not the monitor is deleted. (Always null)
draft_statusstringNoIndicates whether the monitor is in a draft or published state. draft: The monitor appears as Draft and does not send notifications. published: The monitor is active and evaluates conditions and notify as configured. This field is in preview. The draft value is only available to customers with the feature enabled.
idintegerNoID of this monitor.
matching_downtimesobject[]NoA list of active v1 downtimes that match this monitor.
messagestringNoA message to include with notifications for this monitor.
modifiedstringNoLast timestamp when the monitor was edited.
multibooleanNoWhether or not the monitor is broken down on different groups.
namestringNoThe monitor name.
optionsobjectNoList of options associated with your monitor.
overall_statestringNoThe different states your monitor can be in.
priorityintegerNoInteger from 1 (high) to 5 (low) indicating alert severity.
querystringYesThe monitor query.
restricted_rolesstring[]NoA list of unique role identifiers to define which roles are allowed to edit the monitor. The unique identifiers for all roles can be pulled from the Roles API and are located in the data.id field. Editing a monitor includes any updates to the monitor configuration, monitor deletion, and muting of the monitor for any amount of time. You can use the Restriction Policies API to manage write authorization for individual monitors by teams and users, in addition to roles.
stateobjectNoWrapper object with the different monitor states.
tagsstring[]NoTags associated to your monitor.
typestringYesThe type of the monitor. For more information about type, see the monitor options docs.

datadog_monitoring_create_slo

Create an SLO object Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoA user-defined description of the service level objective. Always included in service level objective responses (but may be null). Optional in create/update requests.
groupsstring[]NoA list of (up to 100) monitor groups that narrow the scope of a monitor service level objective. Included in service level objective responses if it is not empty. Optional in create/update requests for monitor service level objectives, but may only be used when then length of the monitor_ids field is one.
monitor_idsinteger[]NoA list of monitor IDs that defines the scope of a monitor service level objective. Required if type is monitor.
namestringYesThe name of the service level objective object.
queryobjectNoA count-based (metric) SLO query. This field is superseded by sli_specification but is retained for backwards compatibility. Note that Datadog only allows the sum by aggregator to be used because this will sum up all request counts instead of averaging them, or taking the max or min of all of those requests.
sli_specificationobjectNoA generic SLI specification. This is used for time-slice and count-based (metric) SLOs only.
tagsstring[]NoA list of tags associated with this service level objective. Always included in service level objective responses (but may be empty). Optional in create/update requests.
target_thresholdnumberNoThe target threshold such that when the service level indicator is above this threshold over the given timeframe, the objective is being met.
thresholdsobject[]YesThe thresholds (timeframes and associated targets) for this service level objective object.
timeframestringNoThe SLO time window options. Note that “custom” is not a valid option for creating or updating SLOs. It is only used when querying SLO history over custom timeframes.
typestringYesThe type of the service level objective.
warning_thresholdnumberNoThe optional warning threshold such that when the service level indicator is below this value for the given threshold, but above the target threshold, the objective appears in a “warning” state. This value must be greater than the target threshold.

datadog_monitoring_delete_incident

Delete an existing incident Parameters:
ParameterTypeRequiredDefaultDescription
incident_idstringYesThe UUID of the incident.

datadog_monitoring_delete_monitor

Delete a monitor Parameters:
ParameterTypeRequiredDefaultDescription
monitor_idintegerYesThe ID of the monitor.
forcestringNoDelete the monitor even if it’s referenced by other resources (for example SLO, composite monitor).

datadog_monitoring_delete_slo

Delete an SLO Parameters:
ParameterTypeRequiredDefaultDescription
slo_idstringYesThe ID of the service level objective.
forcestringNoDelete the monitor even if it’s referenced by other resources (for example SLO, composite monitor).

datadog_monitoring_get_event

Get an event Parameters:
ParameterTypeRequiredDefaultDescription
event_idintegerYesThe ID of the event.

datadog_monitoring_get_incident

Get the details of an incident Parameters:
ParameterTypeRequiredDefaultDescription
incident_idstringYesThe UUID of the incident.
includestring[]NoSpecifies which types of related objects should be included in the response.

datadog_monitoring_get_monitor

Get a monitor’s details Parameters:
ParameterTypeRequiredDefaultDescription
monitor_idintegerYesThe ID of the monitor
group_statesstringNoWhen specified, shows additional information about the group states. Choose one or more from all, alert, warn, and no data.
with_downtimesbooleanNoIf this argument is set to true, then the returned data includes all current active downtimes for the monitor.
with_assetsbooleanNoIf this argument is set to true, the returned data includes all assets tied to this monitor.

datadog_monitoring_get_on_call_escalation_policy

Get On-Call escalation policy Parameters:
ParameterTypeRequiredDefaultDescription
policy_idstringYesThe ID of the escalation policy
includestringNoComma-separated list of included relationships to be returned. Allowed values: teams, steps, steps.targets.

datadog_monitoring_get_on_call_schedule

Get On-Call schedule Parameters:
ParameterTypeRequiredDefaultDescription
includestringNoComma-separated list of included relationships to be returned. Allowed values: teams, layers, layers.members, layers.members.user.
schedule_idstringYesThe ID of the schedule

datadog_monitoring_get_slo

Get an SLO’s details Parameters:
ParameterTypeRequiredDefaultDescription
slo_idstringYesThe ID of the service level objective object.
with_configured_alert_idsbooleanNoGet the IDs of SLO monitors that reference this SLO.

datadog_monitoring_get_slohistory

Get an SLO’s history Parameters:
ParameterTypeRequiredDefaultDescription
slo_idstringYesThe ID of the service level objective object.
from_tsintegerYesThe from timestamp for the query window in epoch seconds.
to_tsintegerYesThe to timestamp for the query window in epoch seconds.
targetnumberNoThe SLO target. If target is passed in, the response will include the remaining error budget and a timeframe value of custom.
apply_correctionbooleanNoDefaults to true. If any SLO corrections are applied and this parameter is set to false, then the corrections will not be applied and the SLI values will not be affected.

datadog_monitoring_list_events

Get a list of events Parameters:
ParameterTypeRequiredDefaultDescription
startintegerYesPOSIX timestamp.
endintegerYesPOSIX timestamp.
prioritystringNoPriority of your events, either low or normal.
sourcesstringNoA comma separated string of sources.
tagsstringNoA comma separated list indicating what tags, if any, should be used to filter the list of events.
unaggregatedbooleanNoSet unaggregated to true to return all events within the specified [start,end] timeframe. Otherwise if an event is aggregated to a parent event with a timestamp outside of the timeframe, it won’t be available in the output. Aggregated events with is_aggregate=true in the response will still be returned unless exclude_aggregate is set to true.
exclude_aggregatebooleanNoSet exclude_aggregate to true to only return unaggregated events where is_aggregate=false in the response. If the exclude_aggregate parameter is set to true, then the unaggregated parameter is ignored and will be true by default.
pageintegerNoBy default 1000 results are returned per request. Set page to the number of the page to return with 0 being the first page. The page parameter can only be used when either unaggregated or exclude_aggregate is set to true.

datadog_monitoring_list_incident_attachments

List incident attachments Parameters:
ParameterTypeRequiredDefaultDescription
incident_idstringYesThe UUID of the incident.
filter[attachment_type]stringNoFilter attachments by type. Supported values are 1 (postmortem) and 2 (link).
includestringNoResource to include in the response. Supported value: last_modified_by_user.

datadog_monitoring_list_incidents

Get a list of incidents Parameters:
ParameterTypeRequiredDefaultDescription
includestring[]NoSpecifies which types of related objects should be included in the response.
page[size]integerNoSize for a given page. The maximum allowed value is 100.
page[offset]integerNoSpecific offset to use as the beginning of the returned page.

datadog_monitoring_list_monitors

Get all monitors Parameters:
ParameterTypeRequiredDefaultDescription
group_statesstringNoWhen specified, shows additional information about the group states. Choose one or more from all, alert, warn, and no data.
namestringNoA string to filter monitors by name.
tagsstringNoA comma separated list indicating what tags, if any, should be used to filter the list of monitors by scope. For example, host:host0.
monitor_tagsstringNoA comma separated list indicating what service and/or custom tags, if any, should be used to filter the list of monitors. Tags created in the Datadog UI automatically have the service key prepended. For example, service:my-app.
with_downtimesbooleanNoIf this argument is set to true, then the returned data includes all current active downtimes for each monitor.
id_offsetintegerNoUse this parameter for paginating through large sets of monitors. Start with a value of zero, make a request, set the value to the last ID of result set, and then repeat until the response is empty.
pageintegerNoThe page to start paginating from. If this argument is not specified, the request returns all monitors without pagination.
page_sizeintegerNoThe number of monitors to return per page. If the page argument is not specified, the default behavior returns all monitors without a page_size limit. However, if page is specified and page_size is not, the argument defaults to 100.

datadog_monitoring_list_slos

Get all SLOs Parameters:
ParameterTypeRequiredDefaultDescription
idsstringNoA comma separated list of the IDs of the service level objectives objects.
querystringNoThe query string to filter results based on SLO names.
tags_querystringNoThe query string to filter results based on a single SLO tag.
metrics_querystringNoThe query string to filter results based on SLO numerator and denominator.
limitintegerNoThe number of SLOs to return in the response.
offsetintegerNoThe specific offset to use as the beginning of the returned response.

datadog_monitoring_search_incidents

Search for incidents Parameters:
ParameterTypeRequiredDefaultDescription
includestringNoSpecifies which types of related objects should be included in the response.
querystringYesSpecifies which incidents should be returned. The query can contain any number of incident facets joined by ANDs, along with multiple values for each of those facets joined by ORs. For example: state:active AND severity:(SEV-2 OR SEV-1).
sortstringNoSpecifies the order of returned incidents.
page[size]integerNoSize for a given page. The maximum allowed value is 100.
page[offset]integerNoSpecific offset to use as the beginning of the returned page.

datadog_monitoring_search_monitor_groups

Monitors group search Parameters:
ParameterTypeRequiredDefaultDescription
querystringNoAfter entering a search query on the [Triggered Monitors page][1], use the query parameter value in the URL of the page as a value for this parameter. For more information, see the [Manage Monitors documentation][2]. The query can contain any number of space-separated monitor attributes, for instance: query="type:metric group_status:alert". [1]: https://app.datadoghq.com/monitors/triggered [2]: /monitors/manage/#triggered-monitors
pageintegerNoPage to start paginating from.
per_pageintegerNoNumber of monitors to return per page.
sortstringNoString for sort order, composed of field and sort order separate by a comma, for example name,asc. Supported sort directions: asc, desc. Supported fields: * name * status * tags

datadog_monitoring_search_monitors

Monitors search Parameters:
ParameterTypeRequiredDefaultDescription
querystringNoAfter entering a search query in your [Manage Monitor page][1] use the query parameter value in the URL of the page as value for this parameter. Consult the dedicated [manage monitor documentation][2] page to learn more. The query can contain any number of space-separated monitor attributes, for instance query="type:metric status:alert". [1]: https://app.datadoghq.com/monitors/manage [2]: /monitors/manage/#find-the-monitors
pageintegerNoPage to start paginating from.
per_pageintegerNoNumber of monitors to return per page.
sortstringNoString for sort order, composed of field and sort order separate by a comma, for example name,asc. Supported sort directions: asc, desc. Supported fields: * name * status * tags

datadog_monitoring_update_incident

Update an existing incident Parameters:
ParameterTypeRequiredDefaultDescription
incident_idstringYesThe UUID of the incident.
includestring[]NoSpecifies which types of related objects should be included in the response.
dataobjectYesIncident data for an update request.

datadog_monitoring_update_monitor

Edit a monitor Parameters:
ParameterTypeRequiredDefaultDescription
monitor_idintegerYesThe ID of the monitor.
assetsobject[]NoThe list of monitor assets tied to a monitor, which represents key links for users to take action on monitor alerts (for example, runbooks).
createdstringNoTimestamp of the monitor creation.
creatorobjectNoObject describing the creator of the shared element.
deletedstringNoWhether or not the monitor is deleted. (Always null)
draft_statusstringNoIndicates whether the monitor is in a draft or published state. draft: The monitor appears as Draft and does not send notifications. published: The monitor is active and evaluates conditions and notify as configured. This field is in preview. The draft value is only available to customers with the feature enabled.
idintegerNoID of this monitor.
messagestringNoA message to include with notifications for this monitor.
modifiedstringNoLast timestamp when the monitor was edited.
multibooleanNoWhether or not the monitor is broken down on different groups.
namestringNoThe monitor name.
optionsobjectNoList of options associated with your monitor.
overall_statestringNoThe different states your monitor can be in.
priorityintegerNoInteger from 1 (high) to 5 (low) indicating alert severity.
querystringNoThe monitor query.
restricted_rolesstring[]NoA list of unique role identifiers to define which roles are allowed to edit the monitor. The unique identifiers for all roles can be pulled from the Roles API and are located in the data.id field. Editing a monitor includes any updates to the monitor configuration, monitor deletion, and muting of the monitor for any amount of time. You can use the Restriction Policies API to manage write authorization for individual monitors by teams and users, in addition to roles.
stateobjectNoWrapper object with the different monitor states.
tagsstring[]NoTags associated to your monitor.
typestringNoThe type of the monitor. For more information about type, see the monitor options docs.

datadog_monitoring_update_slo

Update an SLO Parameters:
ParameterTypeRequiredDefaultDescription
slo_idstringYesThe ID of the service level objective object.
created_atintegerNoCreation timestamp (UNIX time in seconds) Always included in service level objective responses.
creatorobjectNoObject describing the creator of the shared element.
descriptionstringNoA user-defined description of the service level objective. Always included in service level objective responses (but may be null). Optional in create/update requests.
groupsstring[]NoA list of (up to 100) monitor groups that narrow the scope of a monitor service level objective. Included in service level objective responses if it is not empty. Optional in create/update requests for monitor service level objectives, but may only be used when then length of the monitor_ids field is one.
idstringNoA unique identifier for the service level objective object. Always included in service level objective responses.
modified_atintegerNoModification timestamp (UNIX time in seconds) Always included in service level objective responses.
monitor_idsinteger[]NoA list of monitor ids that defines the scope of a monitor service level objective. Required if type is monitor.
monitor_tagsstring[]NoThe union of monitor tags for all monitors referenced by the monitor_ids field. Always included in service level objective responses for monitor-based service level objectives (but may be empty). Ignored in create/update requests. Does not affect which monitors are included in the service level objective (that is determined entirely by the monitor_ids field).
namestringYesThe name of the service level objective object.
queryobjectNoA count-based (metric) SLO query. This field is superseded by sli_specification but is retained for backwards compatibility. Note that Datadog only allows the sum by aggregator to be used because this will sum up all request counts instead of averaging them, or taking the max or min of all of those requests.
sli_specificationobjectNoA generic SLI specification. This is used for time-slice and count-based (metric) SLOs only.
tagsstring[]NoA list of tags associated with this service level objective. Always included in service level objective responses (but may be empty). Optional in create/update requests.
target_thresholdnumberNoThe target threshold such that when the service level indicator is above this threshold over the given timeframe, the objective is being met.
thresholdsobject[]YesThe thresholds (timeframes and associated targets) for this service level objective object.
timeframestringNoThe SLO time window options. Note that “custom” is not a valid option for creating or updating SLOs. It is only used when querying SLO history over custom timeframes.
typestringYesThe type of the service level objective.
warning_thresholdnumberNoThe optional warning threshold such that when the service level indicator is below this value for the given threshold, but above the target threshold, the objective appears in a “warning” state. This value must be greater than the target threshold.

datadog_monitoring_validate_existing_monitor

Validate an existing monitor Parameters:
ParameterTypeRequiredDefaultDescription
monitor_idintegerYesThe ID of the monitor
assetsobject[]NoThe list of monitor assets tied to a monitor, which represents key links for users to take action on monitor alerts (for example, runbooks).
createdstringNoTimestamp of the monitor creation.
creatorobjectNoObject describing the creator of the shared element.
deletedstringNoWhether or not the monitor is deleted. (Always null)
draft_statusstringNoIndicates whether the monitor is in a draft or published state. draft: The monitor appears as Draft and does not send notifications. published: The monitor is active and evaluates conditions and notify as configured. This field is in preview. The draft value is only available to customers with the feature enabled.
idintegerNoID of this monitor.
matching_downtimesobject[]NoA list of active v1 downtimes that match this monitor.
messagestringNoA message to include with notifications for this monitor.
modifiedstringNoLast timestamp when the monitor was edited.
multibooleanNoWhether or not the monitor is broken down on different groups.
namestringNoThe monitor name.
optionsobjectNoList of options associated with your monitor.
overall_statestringNoThe different states your monitor can be in.
priorityintegerNoInteger from 1 (high) to 5 (low) indicating alert severity.
querystringYesThe monitor query.
restricted_rolesstring[]NoA list of unique role identifiers to define which roles are allowed to edit the monitor. The unique identifiers for all roles can be pulled from the Roles API and are located in the data.id field. Editing a monitor includes any updates to the monitor configuration, monitor deletion, and muting of the monitor for any amount of time. You can use the Restriction Policies API to manage write authorization for individual monitors by teams and users, in addition to roles.
stateobjectNoWrapper object with the different monitor states.
tagsstring[]NoTags associated to your monitor.
typestringYesThe type of the monitor. For more information about type, see the monitor options docs.

datadog_monitoring_validate_monitor

Validate a monitor Parameters:
ParameterTypeRequiredDefaultDescription
assetsobject[]NoThe list of monitor assets tied to a monitor, which represents key links for users to take action on monitor alerts (for example, runbooks).
createdstringNoTimestamp of the monitor creation.
creatorobjectNoObject describing the creator of the shared element.
deletedstringNoWhether or not the monitor is deleted. (Always null)
draft_statusstringNoIndicates whether the monitor is in a draft or published state. draft: The monitor appears as Draft and does not send notifications. published: The monitor is active and evaluates conditions and notify as configured. This field is in preview. The draft value is only available to customers with the feature enabled.
idintegerNoID of this monitor.
matching_downtimesobject[]NoA list of active v1 downtimes that match this monitor.
messagestringNoA message to include with notifications for this monitor.
modifiedstringNoLast timestamp when the monitor was edited.
multibooleanNoWhether or not the monitor is broken down on different groups.
namestringNoThe monitor name.
optionsobjectNoList of options associated with your monitor.
overall_statestringNoThe different states your monitor can be in.
priorityintegerNoInteger from 1 (high) to 5 (low) indicating alert severity.
querystringYesThe monitor query.
restricted_rolesstring[]NoA list of unique role identifiers to define which roles are allowed to edit the monitor. The unique identifiers for all roles can be pulled from the Roles API and are located in the data.id field. Editing a monitor includes any updates to the monitor configuration, monitor deletion, and muting of the monitor for any amount of time. You can use the Restriction Policies API to manage write authorization for individual monitors by teams and users, in addition to roles.
stateobjectNoWrapper object with the different monitor states.
tagsstring[]NoTags associated to your monitor.
typestringYesThe type of the monitor. For more information about type, see the monitor options docs.